# Uses of Interface
com.sun.jdi.request.ModificationWatchpointRequest

Packages that use ModificationWatchpointRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of ModificationWatchpointRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return ModificationWatchpointRequest
Modifier and Type
Method
Description
`ModificationWatchpointRequest`
EventRequestManager.`createModificationWatchpointRequest​(Field field)`
Creates a new disabled watchpoint which watches accesses to the specified field.
Methods in com.sun.jdi.request that return types with arguments of type ModificationWatchpointRequest
Modifier and Type
Method
Description
`List<ModificationWatchpointRequest>`
EventRequestManager.`modificationWatchpointRequests()`
Return an unmodifiable list of the enabled and disabled modification watchpoint requests.